#
# spec file for package perl-Role-Tiny
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Role-Tiny
Version:        2.000003
Release:        2.5
%define cpan_name Role-Tiny
Summary:        Roles. Like a nouvelle cuisine portion size slice of Moose
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Role-Tiny/
Source0:        http://www.cpan.org/authors/id/H/HA/HAARG/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::More) >= 0.88
Recommends:     perl(Class::Method::Modifiers) >= 1.05
%{perl_requires}

%description
'Role::Tiny' is a minimalist role composition tool.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Thu May  5 2016 coolo@suse.com
- updated to 2.000003
  see /usr/share/doc/packages/perl-Role-Tiny/Changes
  2.000003 - 2016-04-21
  - don't install subs if importing into a package that is already a role.  This
    can happen if the module previously imported Moo::Role.
  2.000002 - 2016-04-19
  - restore compatibility with Moo versions pre 1.004_003
  - delay loading Class::Method::Modifiers until applying modifiers to a package
  - use croak rather than die for reporting errors
  - apply method modifiers only once, even if they are applied via multiple
    composition paths (RT#106668)
* Sat Apr 25 2015 coolo@suse.com
- updated to 2.000001
  see /usr/share/doc/packages/perl-Role-Tiny/Changes
  2.000001 - 2015-04-24
  - fix generating invalid package names with single colons when abbreviating
    long package names (RT#103310)
  - don't run module interaction tests for user installs
* Tue Apr 14 2015 coolo@suse.com
- updated to 2.000000
  see /usr/share/doc/packages/perl-Role-Tiny/Changes
  2.000000 - 2015-02-26
  * Incompatible Changes
  - Role::Tiny no longer applies fatal warnings to roles created with it.
    strict and non-fatal warnings will continue to be applied.
* Wed Nov 12 2014 coolo@suse.com
- updated to 1.003004
  - allow does_role to be overridden by Moo::Role
* Mon Jul 28 2014 coolo@suse.com
- updated to 1.003003
  - overloads specified as method names rather than subrefs are now applied
    properly
  - allow superclass to provide conflicting methods (RT#91054)
  - use ->is_role internally to check if a package is a role
  - document that Role::Tiny applies strict and fatal warnings
* Fri Oct  4 2013 coolo@suse.com
- updated to 1.003002
  - abbreviate generated package names if they are longer than perl can handle
    (RT#83248)
  - add explicit dependency on the version of Exporter that added 'import'
* Fri Jul 26 2013 coolo@suse.com
- updated to 1.003001
  - allow composing roles simultaneously that mutually require each other
    (RT#82711)
  - Fix _concrete_methods_of returning non-CODE entries
  - fix broken implementation of method conflict resolution
    (Perlmonks#1041015)
  - add is_role method for checking if a given package is a role
  - drop minimum perl version - code tests just fine on 5.6.1 and 5.6.2
* Wed Jun 26 2013 coolo@suse.com
- initial package 1.002005
  * created by cpanspec 1.78.06
